org.apache.sling.maven.slingstart

## Class PomVariableResolver

- java.lang.Object
- - org.apache.sling.maven.slingstart.PomVariableResolver

All Implemented Interfaces:
  org.apache.sling.provisioning.model.ModelUtility.VariableResolver

    public class PomVariableResolver
    extends Object
    implements org.apache.sling.provisioning.model.ModelUtility.VariableResolver

Provisioning variable resolver that supports setting or overriding variables via POM properties. Properties in POM have higher precedence than variables defined in the provisioning file.

### Constructor Summary

Constructors
Constructor and Description
`PomVariableResolver(org.apache.maven.project.MavenProject project)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `resolve(org.apache.sling.provisioning.model.Feature feature, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PomVariableResolver

    public PomVariableResolver(org.apache.maven.project.MavenProject project)

Parameters:
  `project` - Maven project

### Method Detail

#### resolve

    public String resolve(org.apache.sling.provisioning.model.Feature feature,
                          String name)

Specified by:
  `resolve` in interface `org.apache.sling.provisioning.model.ModelUtility.VariableResolver`